--[[
$Id: LibBabble-NPC-Description-3.0.lua 3 2010-06-06 06:04:36Z arith $
Name: LibBabble-NPC-Description-3.0
Revision: $Rev: 3 $
Maintainers: arith
Last updated by: $Author: arith $, $Date: 2010-06-06 06:04:36 +0000 (Sun, 06 Jun 2010) $
Website: http://www.wowace.com/addons/libbabble-npc-description-3-0/
Dependencies: None
License: MIT
]]

local MAJOR_VERSION = "LibBabble-NPC-Descriptio-3.0"
local MINOR_VERSION = 90000 + tonumber(("$Rev: 3 $"):match("%d+"))

if not LibStub then error(MAJOR_VERSION .. " requires LibStub.") end
local lib = LibStub("LibBabble-3.0"):New(MAJOR_VERSION, MINOR_VERSION)
if not lib then return end

local GAME_LOCALE = GetLocale()

lib:SetBaseTranslations {
	["Academy of Arcane Arts"] = "Academy of Arcane Arts";
	["Alchemy Supplies"] = "Alchemy Supplies";
	["Alchemy Supplies & Reagents"] = "Alchemy Supplies & Reagents";
	["Alchemy Sypplies & Reagents"] = "Alchemy Sypplies & Reagents";
	["Alchemy Trainer"] = "Alchemy Trainer";
	["Alcohol"] = "Alcohol";
	["Aldor Apothecary"] = "Aldor Apothecary";
	["Aldor Inscriptions"] = "Aldor Inscriptions";
	["Aldor Quartermaster"] = "Aldor Quartermaster";
	["Alliance Cloth Quartermaster"] = "Alliance Cloth Quartermaster";
	["Alterac Valley Battlemaster"] = "Alterac Valley Battlemaster";
	["Alterac Valley, Arena Battlemaster"] = "Alterac Valley, Arena Battlemaster";
	["Amazing Amulets"] = "Amazing Amulets";
	["Antiques & Heirlooms"] = "Antiques & Heirlooms";
	["Apprentice Alchemist"] = "Apprentice Alchemist";
	["Apprentice Arena Vendor"] = "Apprentice Arena Vendor";
	["Apprentice Armor"] = "Apprentice Armor";
	["Apprentice Chef"] = "Apprentice Chef";
	["Apprentice Engineer"] = "Apprentice Engineer";
	["Apprentice Jewelcrafter"] = "Apprentice Jewelcrafter";
	["Apprentice of Cheese"] = "Apprentice of Cheese";
	["Arathi Basin Battlemaster"] = "Arathi Basin Battlemaster";
	["Arcane Trinkets Vendor"] = "Arcane Trinkets Vendor";
	["Arena Battlemaster"] = "Arena Battlemaster";
	["Arena Organizer"] = "Arena Organizer";
	["Arena Vendor"] = "Arena Vendor";
	["Armor Merchant"] = "Armor Merchant";
	["Armor Quartermaster"] = "Armor Quartermaster";
	["Armorsmith Trainer"] = "Armorsmith Trainer";
	["Armorsmithing Trainer"] = "Armorsmithing Trainer";
	["Arrow Merchant"] = "Arrow Merchant";
	["Assistant Innkeeper"] = "Assistant Innkeeper";
	["Axe & Polearm Merchant"] = "Axe & Polearm Merchant";
	["Axe Merchant"] = "Axe Merchant";
	["Axe Vendor"] = "Axe Vendor";
	["Bag Merchant"] = "Bag Merchant";
	["Bag Vendor"] = "Bag Vendor";
	["Banker"] = "Banker";
	["Banshee Queen"] = "Banshee Queen";
	["Barber"] = "Barber";
	["Barmaid"] = "Barmaid";
	["Bartender"] = "Bartender";
	["Basket Weaver"] = "Basket Weaver";
	["Bat Handler"] = "Bat Handler";
	["Battleground Enthusiast"] = "Battleground Enthusiast";
	["Battlemaster"] = "Battlemaster";
	["Battlemaster"] = "Battlemaster";
	["Blacksmithing Supplies"] = "Blacksmithing Supplies";
	["Blacksmithing Trainer"] = "Blacksmithing Trainer";
	["Blade Merchant"] = "Blade Merchant";
	["Blade Vendor"] = "Blade Vendor";
	["Blue Moon Odds and Ends"] = "Blue Moon Odds and Ends";
	["Blunt Weapon Merchant"] = "Blunt Weapon Merchant";
	["Book Dealer"] = "Book Dealer";
	["Bow & Arrow Merchant"] = "Bow & Arrow Merchant";
	["Bow Merchant"] = "Bow Merchant";
	["Bow Merchant"] = "Bow Merchant";
	["Bowyer"] = "Bowyer";
	["Bowyer & Fletching Goods"] = "Bowyer & Fletching Goods";
	["Bread & Cheese Vendor"] = "Bread & Cheese Vendor";
	["Bread Merchant"] = "Bread Merchant";
	["Bread Vendor"] = "Bread Vendor";
	["Bread Vendor (Circles in front"] = "Bread Vendor (Circles in front";
	["Brew of the Month Club"] = "Brew of the Month Club";
	["Brewmaiden"] = "Brewmaiden";
	["Butler"] = "Butler";
	["City Architect"] = "City Architect";
	["City Historian"] = "City Historian";
	["Cloaks"] = "Cloaks";
	["Cloth & Leather Armor Merchant"] = "Cloth & Leather Armor Merchant";
	["Cloth Armor Merchant"] = "Cloth Armor Merchant";
	["Clothier"] = "Clothier";
	["Cobbler"] = "Cobbler";
	["Cockroach Vendor"] = "Cockroach Vendor";
	["Cold Weather Flying Trainer"] = "Cold Weather Flying Trainer";
	["Cook"] = "Cook";
	["Cooking Supplies"] = "Cooking Supplies";
	["Cooking Trainer"] = "Cooking Trainer";
	["Dagger & Fist Weapon Merchant"] = "Dagger & Fist Weapon Merchant";
	["Dagger Vendor"] = "Dagger Vendor";
	["Darkspear Commendations"] = "Darkspear Commendations";
	["Darnassus Commendations"] = "Darnassus Commendations";
	["Dockmaster"] = "Dockmaster";
	["Dragonscale Leatherworking Trainer"] = "Dragonscale Leatherworking Trainer";
	["Druid Trainer"] = "Druid Trainer";
	["Drunk"] = "Drunk";
	["Echanting Supplies"] = "Echanting Supplies";
	["Echanting Trainer"] = "Echanting Trainer";
	["Elder"] = "Elder";
	["Elder Crone"] = "Elder Crone";
	["Elder Far Seer"] = "Elder Far Seer";
	["Elekk Breeder"] = "Elekk Breeder";
	["Elemental Leatherworking"] = "Elemental Leatherworking";
	["Emblem of Conquest"] = "Emblem of Conquest";
	["Emblem of Heroism"] = "Emblem of Heroism";
	["Emblem of Valor Quartermaster"] = "Emblem of Valor Quartermaster";
	["Enchanting Supplies"] = "Enchanting Supplies";
	["Enchanting Trainer"] = "Enchanting Trainer";
	["Engineering Supplier"] = "Engineering Supplier";
	["Engineering Trainer"] = "Engineering Trainer";
	["Ex-Chef"] = "Ex-Chef";
	["Exodar Commendations"] = "Exodar Commendations";
	["Exotic Mounts"] = "Exotic Mounts";
	["Explorerers' League"] = "Explorerers' League";
	["Explorers'"] = "Explorers'";
	["Explorers' League"] = "Explorers' League";
	["Eye of the Storm"] = "Eye of the Storm";
	["Eye of the Storm Battlemaster"] = "Eye of the Storm Battlemaster";
	["Fence"] = "Fence";
	["Fireworks Vendor"] = "Fireworks Vendor";
	["First Aid Supplies"] = "First Aid Supplies";
	["First Aid Trainer"] = "First Aid Trainer";
	["Fish Merchant"] = "Fish Merchant";
	["Fish Vendor"] = "Fish Vendor";
	["Fishing Supplies"] = "Fishing Supplies";
	["Fishing Trainer"] = "Fishing Trainer";
	["Flight Master"] = "Flight Master";
	["Flightmaster"] = "Flightmaster";
	["Florist"] = "Florist";
	["Flower Vendor"] = "Flower Vendor";
	["Food & Drink"] = "Food & Drink";
	["Food & Drink Vendor"] = "Food & Drink Vendor";
	["Food and Drink Vendor"] = "Food and Drink Vendor";
	["Fruit Seller"] = "Fruit Seller";
	["Fruit Vendor"] = "Fruit Vendor";
	["Fruit Vendor (Circles around"] = "Fruit Vendor (Circles around";
	["Fuit Vendor"] = "Fuit Vendor";
	["Fur & Leather Trader"] = "Fur & Leather Trader";
	["General Goods"] = "General Goods";
	["General Goods Vendor"] = "General Goods Vendor";
	["General Trade Supplies Vendor"] = "General Trade Supplies Vendor";
	["Gnome"] = "Gnome";
	["Gnome Engineering Trainer"] = "Gnome Engineering Trainer";
	["Gnomeregan"] = "Gnomeregan";
	["Gnomish Inventor"] = "Gnomish Inventor";
	["Goblin Engineering Trainer"] = "Goblin Engineering Trainer";
	["Grand Master Blacksmithing"] = "Grand Master Blacksmithing";
	["Grand Master Cooking"] = "Grand Master Cooking";
	["Grand Master Cooking Trainer"] = "Grand Master Cooking Trainer";
	["Grand Master Enchanting"] = "Grand Master Enchanting";
	["Grand Master Engineering"] = "Grand Master Engineering";
	["Grand Master First Aid Trainer"] = "Grand Master First Aid Trainer";
	["Grand Master Fishing Trainer "] = "Grand Master Fishing Trainer ";
	["Grand Master Herbalism Trainer"] = "Grand Master Herbalism Trainer";
	["Grand Master Inscription"] = "Grand Master Inscription";
	["Grand Master Leatherworking"] = "Grand Master Leatherworking";
	["Grand Master Mining Trainer"] = "Grand Master Mining Trainer";
	["Grand Master Skinning Trainer"] = "Grand Master Skinning Trainer";
	["Grand Master Tailoring Trainer"] = "Grand Master Tailoring Trainer";
	["Gryphon Master"] = "Gryphon Master";
	["Guild Master"] = "Guild Master";
	["Guild Tabard Designer"] = "Guild Tabard Designer";
	["Guild Tabard Vendor"] = "Guild Tabard Vendor";
	["Guildmaster"] = "Guildmaster";
	["Gun Merchant"] = "Gun Merchant";
	["Guns & Ammunition Vendor"] = "Guns & Ammunition Vendor";
	["Guns Merchant"] = "Guns Merchant";
	["Guns Vendor"] = "Guns Vendor";
	["Gunsmith"] = "Gunsmith";
	["Haberdasher"] = "Haberdasher";
	["Hatter"] = "Hatter";
	["Head Chef"] = "Head Chef";
	["Heavy Armor Merchant"] = "Heavy Armor Merchant";
	["Herbalism Supplies"] = "Herbalism Supplies";
	["Herbalism Trainer"] = "Herbalism Trainer";
	["Herbalist"] = "Herbalist";
	["High Chieftain"] = "High Chieftain";
	["High Priest"] = "High Priest";
	["High Priestess of Elune"] = "High Priestess of Elune";
	["High Priestess of the Aldor"] = "High Priestess of the Aldor";
	["Hippogryph Master"] = "Hippogryph Master";
	["Horde Cloth"] = "Horde Cloth";
	["Horde Cloth Quartermaster"] = "Horde Cloth Quartermaster";
	["Horde Cloth Quartmaster"] = "Horde Cloth Quartmaster";
	["House of Nobles"] = "House of Nobles";
	["Hunter Trainer"] = "Hunter Trainer";
	["Innkeeper"] = "Innkeeper";
	["Inscription Supplies"] = "Inscription Supplies";
	["Inscription Trainer"] = "Inscription Trainer";
	["Ironforge Commendations"] = "Ironforge Commendations";
	["Ironforge Siege Brigade"] = "Ironforge Siege Brigade";
	["Jewelcrafting Quartermaster"] = "Jewelcrafting Quartermaster";
	["Jewelcrafting Supplier"] = "Jewelcrafting Supplier";
	["Jewelcrafting Supplies"] = "Jewelcrafting Supplies";
	["Jewelcrafting Trainer"] = "Jewelcrafting Trainer";
	["Keeper of Sha'tari Artifacts"] = "Keeper of Sha'tari Artifacts";
	["Keeper of Sha'tari Heirlooms"] = "Keeper of Sha'tari Heirlooms";
	["Keepers of Time"] = "Keepers of Time";
	["Kennel Master"] = "Kennel Master";
	["King of Stormwind"] = "King of Stormwind";
	["King of the Gnomes"] = "King of the Gnomes";
	["Kirin Tor Quartermaster"] = "Kirin Tor Quartermaster";
	["Leader of the Kirin Tor"] = "Leader of the Kirin Tor";
	["Leather Armor Merchant"] = "Leather Armor Merchant";
	["Leatherworking &"] = "Leatherworking &";
	["Leatherworking & Tailoring Supplies"] = "Leatherworking & Tailoring Supplies";
	["Leatherworking Supplies"] = "Leatherworking Supplies";
	["Leatherworking Trainer"] = "Leatherworking Trainer";
	["Librarian"] = "Librarian";
	["Light Armor Merchant"] = "Light Armor Merchant";
	["Light Armor Merchant"] = "Light Armor Merchant";
	["Locksmith"] = "Locksmith";
	["Lord of Ironforge"] = "Lord of Ironforge";
	["Loremaster"] = "Loremaster";
	["Lower City Quartermaster"] = "Lower City Quartermaster";
	["Mace & Staff Merchant"] = "Mace & Staff Merchant";
	["Mace Merchant"] = "Mace Merchant";
	["Maces & Staves"] = "Maces & Staves";
	["Maces & Staves Vendor"] = "Maces & Staves Vendor";
	["Magatha's Servant"] = "Magatha's Servant";
	["Mage Trainer"] = "Mage Trainer";
	["Magical Goods"] = "Magical Goods";
	["Mail Armor Merchant"] = "Mail Armor Merchant";
	["Master Alchemy Trainer"] = "Master Alchemy Trainer";
	["Master Blacksmithing Trainer"] = "Master Blacksmithing Trainer";
	["Master Enchanting"] = "Master Enchanting";
	["Master Enchanting Trainer"] = "Master Enchanting Trainer";
	["Master Engineering Trainer"] = "Master Engineering Trainer";
	["Master Herbalism Trainer"] = "Master Herbalism Trainer";
	["Master Jewelcrafting"] = "Master Jewelcrafting";
	["Master Jewelcrafting Trainer"] = "Master Jewelcrafting Trainer";
	["Master Leatherworking Trainer"] = "Master Leatherworking Trainer";
	["Master Mage"] = "Master Mage";
	["Master Mining Trainer"] = "Master Mining Trainer";
	["Master of Cheese"] = "Master of Cheese";
	["Master of Cooking"] = "Master of Cooking";
	["Master of Cooking Recipes"] = "Master of Cooking Recipes";
	["Master Shadoweave Tailor"] = "Master Shadoweave Tailor";
	["Master Skinning Trainer"] = "Master Skinning Trainer";
	["Master Tailoring Trainer"] = "Master Tailoring Trainer";
	["Matron"] = "Matron";
	["Meat Vendor"] = "Meat Vendor";
	["Meriot Connoisseur"] = "Meriot Connoisseur";
	["Mining Supplies"] = "Mining Supplies";
	["Mining Trainer"] = "Mining Trainer";
	["Mistress of Cheese"] = "Mistress of Cheese";
	["Mithril Order"] = "Mithril Order";
	["Mooncloth Specialist"] = "Mooncloth Specialist";
	["Mooncloth Tailoring"] = "Mooncloth Tailoring";
	["Moth Vendor (Main Floor)"] = "Moth Vendor (Main Floor)";
	["Mount Quartermaster"] = "Mount Quartermaster";
	["Mount Vendor"] = "Mount Vendor";
	["Mushroom Vendor"] = "Mushroom Vendor";
	["Night Elf Armorer"] = "Night Elf Armorer";
	["Novice Priestess"] = "Novice Priestess";
	["Offhand Offerings"] = "Offhand Offerings";
	["Officer Accessories"] = "Officer Accessories";
	["Orgrimmar Commendations"] = "Orgrimmar Commendations";
	["Orphan Matron"] = "Orphan Matron";
	["Owl Trainer"] = "Owl Trainer";
	["Paladin Trainer"] = "Paladin Trainer";
	["Pet Trainer"] = "Pet Trainer";
	["Pie, Pastry & Cakes Vendor"] = "Pie, Pastry & Cakes Vendor";
	["Plate Armor Merchant"] = "Plate Armor Merchant";
	["Poison Supplies"] = "Poison Supplies";
	["Poison Vendor"] = "Poison Vendor";
	["Portal Trainer"] = "Portal Trainer";
	["Prairie Dog Vendor"] = "Prairie Dog Vendor";
	["Priest Trainer"] = "Priest Trainer";
	["Prince of Stormwind"] = "Prince of Stormwind";
	["Ranger General"] = "Ranger General";
	["Ranger General of the"] = "Ranger General of the";
	["Rat Extermination Specialist"] = "Rat Extermination Specialist";
	["Reagent"] = "Reagent";
	["Reagent Merchant"] = "Reagent Merchant";
	["Reagent Supplies"] = "Reagent Supplies";
	["Reagent Vendor"] = "Reagent Vendor";
	["Reagents & Magical Goods"] = "Reagents & Magical Goods";
	["Reagents Vendor"] = "Reagents Vendor";
	["Regent Lord of Quel'Thalas"] = "Regent Lord of Quel'Thalas";
	["Relics"] = "Relics";
	["Riding Trainer"] = "Riding Trainer";
	["Robe Merchant"] = "Robe Merchant";
	["Robe Vendor"] = "Robe Vendor";
	["Rogue Academy Proprietor"] = "Rogue Academy Proprietor";
	["Rogue Trainer"] = "Rogue Trainer";
	["Royal Apothecary"] = "Royal Apothecary";
	["Royal Apothecary Society"] = "Royal Apothecary Society";
	["Ruffian"] = "Ruffian";
	["Saber Handler"] = "Saber Handler";
	["Scarlet Crusade Emissary"] = "Scarlet Crusade Emissary";
	["Scryer Apothecary"] = "Scryer Apothecary";
	["Scryer Inscriptions"] = "Scryer Inscriptions";
	["Scryer Quartermaster"] = "Scryer Quartermaster";
	["Shadoweave Specialist"] = "Shadoweave Specialist";
	["Shadoweave Tailoring Specialist"] = "Shadoweave Tailoring Specialist";
	["Shady Dealer"] = "Shady Dealer";
	["Shaman Trainer"] = "Shaman Trainer";
	["Shard Trader"] = "Shard Trader";
	["Sha'tari Guard Recruitment Officer"] = "Sha'tari Guard Recruitment Officer";
	["Sha'tari Quartermaster"] = "Sha'tari Quartermaster";
	["Shattered Sun Offensive"] = "Shattered Sun Offensive";
	["Shield Merchant"] = "Shield Merchant";
	["Skinning Trainer"] = "Skinning Trainer";
	["Socialite"] = "Socialite";
	["Specialty Ammunition"] = "Specialty Ammunition";
	["Specialty Ammuntion"] = "Specialty Ammuntion";
	["Specialty Tailoring Supplies"] = "Specialty Tailoring Supplies";
	["Spellfire Specialist"] = "Spellfire Specialist";
	["Spellfire Tailoring Specialist"] = "Spellfire Tailoring Specialist";
	["Stable Master"] = "Stable Master";
	["Staff & Mace Merchant"] = "Staff & Mace Merchant";
	["Staff Merchant"] = "Staff Merchant";
	["Staff Vendor"] = "Staff Vendor";
	["Staves"] = "Staves";
	["Staves Merchant"] = "Staves Merchant";
	["Stormpike Guard"] = "Stormpike Guard";
	["Stormwind Census"] = "Stormwind Census";
	["Stormwind City Guard"] = "Stormwind City Guard";
	["Stormwind Commendations"] = "Stormwind Commendations";
	["Strand of the Ancients"] = "Strand of the Ancients";
	["Strand of the Ancients Battlemaster"] = "Strand of the Ancients Battlemaster";
	["Sword & Dagger Merchant"] = "Sword & Dagger Merchant";
	["Sword Merchant"] = "Sword Merchant";
	["Sword Vendor"] = "Sword Vendor";
	["Tabard Designer"] = "Tabard Designer";
	["Tabard Vendor"] = "Tabard Vendor";
	["Tailoring Supplies"] = "Tailoring Supplies";
	["Tailoring Trainer"] = "Tailoring Trainer";
	["Tavernkeeper"] = "Tavernkeeper";
	["The Aldor"] = "The Aldor";
	["The Argent Dawn"] = "The Argent Dawn";
	["The Keymaster"] = "The Keymaster";
	["The Middle Rise and"] = "The Middle Rise and";
	["The Mithril Order"] = "The Mithril Order";
	["The Punisher"] = "The Punisher";
	["The Scryers"] = "The Scryers";
	["The Three Fingered Bandit"] = "The Three Fingered Bandit";
	["Throwing Axes"] = "Throwing Axes";
	["Thrown Weapon Merchant"] = "Thrown Weapon Merchant";
	["Thunder Bluff"] = "Thunder Bluff";
	["Tools of the Trade"] = "Tools of the Trade";
	["Toymaker"] = "Toymaker";
	["Trade Goods"] = "Trade Goods";
	["Trade Goods Supplies"] = "Trade Goods Supplies";
	["Trade Supplies"] = "Trade Supplies";
	["Trade Supplies"] = "Trade Supplies";
	["Tradesman"] = "Tradesman";
	["Tradesman"] = "Tradesman";
	["Tribal Leatherworking"] = "Tribal Leatherworking";
	["Trinkets & Charms"] = "Trinkets & Charms";
	["Two Handed Weapon Merchant"] = "Two Handed Weapon Merchant";
	["Two-handed Weapon"] = "Two-handed Weapon";
	["Two-handed Weapon Merchant"] = "Two-handed Weapon Merchant";
	["Two-Handed Weapon Merchant"] = "Two-Handed Weapon Merchant";
	["Undercity  Census"] = "Undercity  Census";
	["Undercity Commendations"] = "Undercity Commendations";
	["Vault Administrator"] = "Vault Administrator";
	["Veteran Arena Vendor"] = "Veteran Arena Vendor";
	["Veteran Armor Quartermaster"] = "Veteran Armor Quartermaster";
	["Wand Merchant"] = "Wand Merchant";
	["Wand Merchant"] = "Wand Merchant";
	["Wand Vendor"] = "Wand Vendor";
	["Wands"] = "Wands";
	["Wands Merchant"] = "Wands Merchant";
	["War Harness Maker"] = "War Harness Maker";
	["War Harness Vendor"] = "War Harness Vendor";
	["Warchief"] = "Warchief";
	["Warlock Trainer"] = "Warlock Trainer";
	["Warrior Trainer"] = "Warrior Trainer";
	["Warsong Gulch Battlemaster"] = "Warsong Gulch Battlemaster";
	["Warsong Gultch"] = "Warsong Gultch";
	["Warsong Gultch Battlemaster"] = "Warsong Gultch Battlemaster";
	["Water Vendor"] = "Water Vendor";
	["Weapon Master"] = "Weapon Master";
	["Weapon Merchant"] = "Weapon Merchant";
	["Weapon Merchant"] = "Weapon Merchant";
	["Weapon Vendor"] = "Weapon Vendor";
	["Weapons Merchant"] = "Weapons Merchant";
	["Weapons Quartermaster"] = "Weapons Quartermaster";
	["Weaponsmith"] = "Weaponsmith";
	["Weaponsmith Trainer"] = "Weaponsmith Trainer";
	["Weaponsmithing Trainer"] = "Weaponsmithing Trainer";
	["Wind Rider Master"] = "Wind Rider Master";
	["Wine & Spirits Merchant"] = "Wine & Spirits Merchant";
	["Wine Vendor"] = "Wine Vendor";
	["Wintergrasp Battle-Mage"] = "Wintergrasp Battle-Mage";
	["Wintergrasp Battle-Mage"] = "Wintergrasp Battle-Mage";
	["Wolf Riding Instructor"] = "Wolf Riding Instructor";
	["Zepplin Engineer"] = "Zepplin Engineer";
}


if GAME_LOCALE == "enUS" then
	lib:SetCurrentTranslations(true)
elseif GAME_LOCALE == "deDE" then
	lib:SetCurrentTranslations {
}
elseif GAME_LOCALE == "frFR" then
	lib:SetCurrentTranslations {
}
elseif GAME_LOCALE == "koKR" then
	lib:SetCurrentTranslations {
}
elseif GAME_LOCALE == "esES" then
	lib:SetCurrentTranslations {
}
elseif GAME_LOCALE == "esMX" then
	lib:SetCurrentTranslations {
}
elseif GAME_LOCALE == "ruRU" then
	lib:SetCurrentTranslations {
}
elseif GAME_LOCALE == "zhCN" then
	lib:SetCurrentTranslations {
}
elseif GAME_LOCALE == "zhTW" then
	lib:SetCurrentTranslations {
	["Academy of Arcane Arts"] = "Academy of Arcane Arts";
	["Alchemy Supplies"] = "鍊金術供應商";
	["Alchemy Supplies & Reagents"] = "施法材料和鍊金術供應商";
	["Alchemy Sypplies & Reagents"] = "Alchemy Sypplies & Reagents";
	["Alchemy Trainer"] = "鍊金術訓練師";
	["Alcohol"] = "酒商";
	["Aldor Apothecary"] = "Aldor Apothecary";
	["Aldor Inscriptions"] = "Aldor Inscriptions";
	["Aldor Quartermaster"] = "Aldor Quartermaster";
	["Alliance Cloth Quartermaster"] = "聯盟布匹軍需官";
	["Alterac Valley Battlemaster"] = "奧特蘭克山谷戰場軍官";
	["Alterac Valley, Arena Battlemaster"] = "奧特蘭克山谷競技場戰場軍官";
	["Amazing Amulets"] = "Amazing Amulets";
	["Antiques & Heirlooms"] = "古董和傳家寶";
	["Apprentice Alchemist"] = "Apprentice Alchemist";
	["Apprentice Arena Vendor"] = "見習競技場商人";
	["Apprentice Armor"] = "Apprentice Armor";
	["Apprentice Chef"] = "Apprentice Chef";
	["Apprentice Engineer"] = "Apprentice Engineer";
	["Apprentice Jewelcrafter"] = "見習珠寶設計師";
	["Apprentice of Cheese"] = "Apprentice of Cheese";
	["Arathi Basin Battlemaster"] = "阿拉希盆地戰場軍官";
	["Arcane Trinkets Vendor"] = "Arcane Trinkets Vendor";
	["Arena Battlemaster"] = "競技場戰場軍官";
	["Arena Organizer"] = "競技場編制者";
	["Arena Vendor"] = "競技場商人";
	["Armor Merchant"] = "Armor Merchant";
	["Armor Quartermaster"] = "Armor Quartermaster";
	["Armorsmith Trainer"] = "Armorsmith Trainer";
	["Armorsmithing Trainer"] = "護甲鍛造訓練師";
	["Arrow Merchant"] = "Arrow Merchant";
	["Assistant Innkeeper"] = "旅館老闆助理";
	["Axe & Polearm Merchant"] = "斧和長柄武器商";
	["Axe Merchant"] = "斧商";
	["Axe Vendor"] = "釜商";
	["Bag Merchant"] = "背包商人";
	["Bag Vendor"] = "背包商人";
	["Banker"] = "銀行職員";
	["Banshee Queen"] = "Banshee Queen";
	["Barber"] = "美容師";
	["Barmaid"] = "酒吧女服務員";
	["Bartender"] = "酒保";
	["Basket Weaver"] = "Basket Weaver";
	["Bat Handler"] = "Bat Handler";
	["Battleground Enthusiast"] = "Battleground Enthusiast";
	["Battlemaster"] = "戰鬥大師";
	["Battlemaster"] = "戰場軍官";
	["Blacksmithing Supplies"] = "鍛造供應商";
	["Blacksmithing Trainer"] = "鍛造訓練師";
	["Blade Merchant"] = "劍刃商人";
	["Blade Vendor"] = "劍刃武器商";
	["Blue Moon Odds and Ends"] = "Blue Moon Odds and Ends";
	["Blunt Weapon Merchant"] = "錘類武器商";
	["Book Dealer"] = "Book Dealer";
	["Bow & Arrow Merchant"] = "Bow & Arrow Merchant";
	["Bow Merchant"] = "弓箭商人";
	["Bow Merchant"] = "弓箭商";
	["Bowyer"] = "弓箭商";
	["Bowyer & Fletching Goods"] = "Bowyer & Fletching Goods";
	["Bread & Cheese Vendor"] = "麵包和起司商";
	["Bread Merchant"] = "Bread Merchant";
	["Bread Vendor"] = "Bread Vendor";
	["Bread Vendor (Circles in front"] = "Bread Vendor (Circles in front";
	["Brew of the Month Club"] = "Brew of the Month Club";
	["Brewmaiden"] = "啤酒辣妹";
	["Butler"] = "男管家";
	["City Architect"] = "City Architect";
	["City Historian"] = "城市歷史學家";
	["Cloaks"] = "披風";
	["Cloth & Leather Armor Merchant"] = "Cloth & 皮甲商";
	["Cloth Armor Merchant"] = "布甲商";
	["Clothier"] = "布商";
	["Cobbler"] = "製鞋匠";
	["Cockroach Vendor"] = "Cockroach Vendor";
	["Cold Weather Flying Trainer"] = "寒冷氣候飛行訓練師";
	["Cook"] = "廚師";
	["Cooking Supplies"] = "烹飪供應商";
	["Cooking Trainer"] = "烹飪訓練師";
	["Dagger & Fist Weapon Merchant"] = "匕首和拳套武器商";
	["Dagger Vendor"] = "Dagger Vendor";
	["Darkspear Commendations"] = "Darkspear Commendations";
	["Darnassus Commendations"] = "達納蘇斯表揚處";
	["Dockmaster"] = "Dockmaster";
	["Dragonscale Leatherworking Trainer"] = "龍鱗製皮訓練師";
	["Druid Trainer"] = "德魯伊訓練師";
	["Drunk"] = "Drunk";
	["Echanting Supplies"] = "附魔供應商";
	["Echanting Trainer"] = "附魔訓練師";
	["Elder"] = "Elder";
	["Elder Crone"] = "Elder Crone";
	["Elder Far Seer"] = "Elder Far Seer";
	["Elekk Breeder"] = "伊萊克飼者";
	["Elemental Leatherworking"] = "元素製皮訓練師";
	["Emblem of Conquest"] = "征服紋章軍需官";
	["Emblem of Heroism"] = "英雄紋章軍需官";
	["Emblem of Valor Quartermaster"] = "勇氣紋章軍需官";
	["Enchanting Supplies"] = "附魔供應商";
	["Enchanting Trainer"] = "附魔訓練師";
	["Engineering Supplier"] = "工程學供應商";
	["Engineering Trainer"] = "工程學訓練師";
	["Ex-Chef"] = "Ex-Chef";
	["Exodar Commendations"] = "艾克索達表揚處";
	["Exotic Mounts"] = "奇特坐騎";
	["Explorerers' League"] = "Explorerers' League";
	["Explorers'"] = "探險者協會";
	["Explorers' League"] = "Explorers' League";
	["Eye of the Storm"] = "Eye of the Storm";
	["Eye of the Storm Battlemaster"] = "暴風之眼戰場軍官";
	["Fence"] = "Fence";
	["Fireworks Vendor"] = "煙火商人";
	["First Aid Supplies"] = "急救供應商";
	["First Aid Trainer"] = "急救訓練師";
	["Fish Merchant"] = "Fish Merchant";
	["Fish Vendor"] = "魚商";
	["Fishing Supplies"] = "釣魚供應商";
	["Fishing Trainer"] = "釣魚訓練師";
	["Flight Master"] = "Flight Master";
	["Flightmaster"] = "飛行管理員";
	["Florist"] = "Florist";
	["Flower Vendor"] = "花卉商";
	["Food & Drink"] = "食物和飲料";
	["Food & Drink Vendor"] = "食物和飲料商人";
	["Food and Drink Vendor"] = "Food and Drink Vendor";
	["Fruit Seller"] = "Fruit Seller";
	["Fruit Vendor"] = "Fruit Vendor";
	["Fruit Vendor (Circles around"] = "Fruit Vendor (Circles around";
	["Fuit Vendor"] = "水果商";
	["Fur & Leather Trader"] = "毛和皮貿易者";
	["General Goods"] = "雜貨商";
	["General Goods Vendor"] = "雜貨商";
	["General Trade Supplies Vendor"] = "General Trade Supplies Vendor";
	["Gnome"] = "Gnome";
	["Gnome Engineering Trainer"] = "地精工程學訓練師";
	["Gnomeregan"] = "Gnomeregan";
	["Gnomish Inventor"] = "Gnomish Inventor";
	["Goblin Engineering Trainer"] = "哥布林工程學訓練師";
	["Grand Master Blacksmithing"] = "宗師級鍛造訓練師";
	["Grand Master Cooking"] = "宗師級烹飪訓練師";
	["Grand Master Cooking Trainer"] = "宗師級烹飪訓練師";
	["Grand Master Enchanting"] = "宗師級附魔訓練師";
	["Grand Master Engineering"] = "宗師級工程學訓練師";
	["Grand Master First Aid Trainer"] = "宗師級急救訓練師";
	["Grand Master Fishing Trainer "] = "宗師級釣魚訓練師和供應商";
	["Grand Master Herbalism Trainer"] = "宗師級草藥學訓練師";
	["Grand Master Inscription"] = "宗師級銘文學訓練師";
	["Grand Master Leatherworking"] = "宗師級製皮訓練師";
	["Grand Master Mining Trainer"] = "宗師級採礦訓練師";
	["Grand Master Skinning Trainer"] = "宗師級剝皮訓練師";
	["Grand Master Tailoring Trainer"] = "宗師級裁縫訓練師";
	["Gryphon Master"] = "Gryphon Master";
	["Guild Master"] = "公會註冊員";
	["Guild Tabard Designer"] = "公會外袍設計師";
	["Guild Tabard Vendor"] = "公會外袍商人";
	["Guildmaster"] = "Guildmaster";
	["Gun Merchant"] = "槍械商";
	["Guns & Ammunition Vendor"] = "Guns & Ammunition Vendor";
	["Guns Merchant"] = "Guns Merchant";
	["Guns Vendor"] = "Guns Vendor";
	["Gunsmith"] = "槍械商";
	["Haberdasher"] = "男裝用品商";
	["Hatter"] = "Hatter";
	["Head Chef"] = "Head Chef";
	["Heavy Armor Merchant"] = "重型護甲商人";
	["Herbalism Supplies"] = "草藥學供應商";
	["Herbalism Trainer"] = "草藥學訓練師";
	["Herbalist"] = "草藥學訓練師";
	["High Chieftain"] = "High Chieftain";
	["High Priest"] = "High Priest";
	["High Priestess of Elune"] = "伊露恩的高階女祭司";
	["High Priestess of the Aldor"] = "High Priestess of the Aldor";
	["Hippogryph Master"] = "角鷹獸管理員";
	["Horde Cloth"] = "部落 Cloth";
	["Horde Cloth Quartermaster"] = "部落布匹軍需官";
	["Horde Cloth Quartmaster"] = "部落布匹軍需官";
	["House of Nobles"] = "House of Nobles";
	["Hunter Trainer"] = "獵人訓練師";
	["Innkeeper"] = "旅館老闆";
	["Inscription Supplies"] = "銘文學供應商";
	["Inscription Trainer"] = "銘文學訓練師";
	["Ironforge Commendations"] = "Ironforge Commendations";
	["Ironforge Siege Brigade"] = "Ironforge Siege Brigade";
	["Jewelcrafting Quartermaster"] = "Jewelcrafting Quartermaster";
	["Jewelcrafting Supplier"] = "珠寶設計供應商";
	["Jewelcrafting Supplies"] = "Jewelcrafting Supplies";
	["Jewelcrafting Trainer"] = "珠寶設計訓練師";
	["Keeper of Sha'tari Artifacts"] = "Keeper of Sha'tari Artifacts";
	["Keeper of Sha'tari Heirlooms"] = "Keeper of Sha'tari Heirlooms";
	["Keepers of Time"] = "時光守望者";
	["Kennel Master"] = "Kennel Master";
	["King of Stormwind"] = "King of Stormwind";
	["King of the Gnomes"] = "King of the Gnomes";
	["Kirin Tor Quartermaster"] = "祈倫托軍需官";
	["Leader of the Kirin Tor"] = "祈倫托領袖";
	["Leather Armor Merchant"] = "皮甲商";
	["Leatherworking &"] = "製皮和剝皮供應商";
	["Leatherworking & Tailoring Supplies"] = "Leatherworking & 裁縫供應商";
	["Leatherworking Supplies"] = "製皮供應商";
	["Leatherworking Trainer"] = "製皮訓練師";
	["Librarian"] = "Librarian";
	["Light Armor Merchant"] = "Light Armor Merchant";
	["Light Armor Merchant"] = "Light Armor Merchant";
	["Locksmith"] = "鎖匠";
	["Lord of Ironforge"] = "Lord of Ironforge";
	["Loremaster"] = "博學大師";
	["Lower City Quartermaster"] = "Lower City Quartermaster";
	["Mace & Staff Merchant"] = "錘和法杖商人";
	["Mace Merchant"] = "錘商";
	["Maces & Staves"] = "Maces & Staves";
	["Maces & Staves Vendor"] = "Maces & Staves Vendor";
	["Magatha's Servant"] = "Magatha's Servant";
	["Mage Trainer"] = "法師訓練師";
	["Magical Goods"] = "魔法物品";
	["Mail Armor Merchant"] = "鎖甲商";
	["Master Alchemy Trainer"] = "Master Alchemy Trainer";
	["Master Blacksmithing Trainer"] = "Master 鍛造訓練師";
	["Master Enchanting"] = "Master Enchanting";
	["Master Enchanting Trainer"] = "Master 附魔訓練師";
	["Master Engineering Trainer"] = "Master 工程學訓練師";
	["Master Herbalism Trainer"] = "Master Herbalism Trainer";
	["Master Jewelcrafting"] = "Master Jewelcrafting";
	["Master Jewelcrafting Trainer"] = "Master 珠寶設計訓練師";
	["Master Leatherworking Trainer"] = "Master 製皮訓練師";
	["Master Mage"] = "Master Mage";
	["Master Mining Trainer"] = "Master Mining Trainer";
	["Master of Cheese"] = "Master of Cheese";
	["Master of Cooking"] = "Master of Cooking";
	["Master of Cooking Recipes"] = "Master of Cooking Recipes";
	["Master Shadoweave Tailor"] = "Master Shadoweave Tailor";
	["Master Skinning Trainer"] = "Master 剝皮訓練師";
	["Master Tailoring Trainer"] = "Master 裁縫訓練師";
	["Matron"] = "Matron";
	["Meat Vendor"] = "Meat Vendor";
	["Meriot Connoisseur"] = "Meriot Connoisseur";
	["Mining Supplies"] = "採礦供應商";
	["Mining Trainer"] = "採礦訓練師";
	["Mistress of Cheese"] = "Mistress of Cheese";
	["Mithril Order"] = "Mithril Order";
	["Mooncloth Specialist"] = "Mooncloth Specialist";
	["Mooncloth Tailoring"] = "月布裁縫專家";
	["Moth Vendor (Main Floor)"] = "賣蛾商人";
	["Mount Quartermaster"] = "Mount Quartermaster";
	["Mount Vendor"] = "Mount Vendor";
	["Mushroom Vendor"] = "Mushroom Vendor";
	["Night Elf Armorer"] = "夜精靈護甲商";
	["Novice Priestess"] = "低階女祭司";
	["Offhand Offerings"] = "副手貨樣";
	["Officer Accessories"] = "Officer Accessories";
	["Orgrimmar Commendations"] = "Orgrimmar Commendations";
	["Orphan Matron"] = "Orphan Matron";
	["Owl Trainer"] = "貓頭鷹訓練師";
	["Paladin Trainer"] = "聖騎士訓練師";
	["Pet Trainer"] = "寵物訓練師";
	["Pie, Pastry & Cakes Vendor"] = "派、餡餅與蛋糕";
	["Plate Armor Merchant"] = "鎧甲商";
	["Poison Supplies"] = "毒藥供應商";
	["Poison Vendor"] = "毒藥商";
	["Portal Trainer"] = "傳送門訓練師";
	["Prairie Dog Vendor"] = "Prairie Dog Vendor";
	["Priest Trainer"] = "牧師訓練師";
	["Prince of Stormwind"] = "Prince of Stormwind";
	["Ranger General"] = "遊俠將軍";
	["Ranger General of the"] = "白銀誓盟遊俠將軍";
	["Rat Extermination Specialist"] = "Rat Extermination Specialist";
	["Reagent"] = "Reagent";
	["Reagent Merchant"] = "施法材料商";
	["Reagent Supplies"] = "Reagent Supplies";
	["Reagent Vendor"] = "施法材料商";
	["Reagents & Magical Goods"] = "施法材料和魔法物品";
	["Reagents Vendor"] = "施法材料";
	["Regent Lord of Quel'Thalas"] = "奎爾薩拉斯攝政王";
	["Relics"] = "聖物";
	["Riding Trainer"] = "騎術訓練師";
	["Robe Merchant"] = "Robe Merchant";
	["Robe Vendor"] = "長袍商";
	["Rogue Academy Proprietor"] = "Rogue Academy Proprietor";
	["Rogue Trainer"] = "盜賊訓練師";
	["Royal Apothecary"] = "Royal Apothecary";
	["Royal Apothecary Society"] = "Royal Apothecary Society";
	["Ruffian"] = "Ruffian";
	["Saber Handler"] = "馴豹人";
	["Scarlet Crusade Emissary"] = "Scarlet Crusade Emissary";
	["Scryer Apothecary"] = "Scryer Apothecary";
	["Scryer Inscriptions"] = "Scryer Inscriptions";
	["Scryer Quartermaster"] = "Scryer Quartermaster";
	["Shadoweave Specialist"] = "Shadoweave Specialist";
	["Shadoweave Tailoring Specialist"] = "影紋裁縫專家";
	["Shady Dealer"] = "Shady Dealer";
	["Shaman Trainer"] = "薩滿訓練師";
	["Shard Trader"] = "裂片貿易商";
	["Sha'tari Guard Recruitment Officer"] = "Sha'tari Guard Recruitment Officer";
	["Sha'tari Quartermaster"] = "Sha'tari Quartermaster";
	["Shattered Sun Offensive"] = "Shattered Sun Offensive";
	["Shield Merchant"] = "盾牌商";
	["Skinning Trainer"] = "剝皮訓練師";
	["Socialite"] = "Socialite";
	["Specialty Ammunition"] = "特殊彈藥商人";
	["Specialty Ammuntion"] = "Specialty Ammuntion";
	["Specialty Tailoring Supplies"] = "Specialty 裁縫供應商";
	["Spellfire Specialist"] = "Spellfire Specialist";
	["Spellfire Tailoring Specialist"] = "魔焰裁縫專家";
	["Stable Master"] = "獸欄管理員";
	["Staff & Mace Merchant"] = "Staff & Mace Merchant";
	["Staff Merchant"] = "法杖商";
	["Staff Vendor"] = "Staff Vendor";
	["Staves"] = "法杖";
	["Staves Merchant"] = "Staves Merchant";
	["Stormpike Guard"] = "Stormpike Guard";
	["Stormwind Census"] = "Stormwind Census";
	["Stormwind City Guard"] = "Stormwind City Guard";
	["Stormwind Commendations"] = "Stormwind Commendations";
	["Strand of the Ancients"] = "遠祖灘頭戰場軍官";
	["Strand of the Ancients Battlemaster"] = "遠祖灘頭戰場軍官";
	["Sword & Dagger Merchant"] = "Sword & Dagger Merchant";
	["Sword Merchant"] = "刀劍商";
	["Sword Vendor"] = "Sword Vendor";
	["Tabard Designer"] = "Tabard Designer";
	["Tabard Vendor"] = "外袍商人";
	["Tailoring Supplies"] = "裁縫供應商";
	["Tailoring Trainer"] = "裁縫訓練師";
	["Tavernkeeper"] = "Tavernkeeper";
	["The Aldor"] = "The Aldor";
	["The Argent Dawn"] = "銀色黎明";
	["The Keymaster"] = "The Keymaster";
	["The Middle Rise and"] = "The Middle Rise and";
	["The Mithril Order"] = "The Mithril Order";
	["The Punisher"] = "懲罰者";
	["The Scryers"] = "The Scryers";
	["The Three Fingered Bandit"] = "三指強盜";
	["Throwing Axes"] = "投擲飛斧";
	["Thrown Weapon Merchant"] = "投擲武器商人";
	["Thunder Bluff"] = "Thunder Bluff";
	["Tools of the Trade"] = "商用工具";
	["Toymaker"] = "玩具商";
	["Trade Goods"] = "Trade Goods";
	["Trade Goods Supplies"] = "Trade Goods Supplies";
	["Trade Supplies"] = "貿易供應商";
	["Trade Supplies"] = "Trade Supplies";
	["Tradesman"] = "商人";
	["Tradesman"] = "商人";
	["Tribal Leatherworking"] = "部族製皮訓練師";
	["Trinkets & Charms"] = "飾品和符咒";
	["Two Handed Weapon Merchant"] = "Two Handed Weapon Merchant";
	["Two-handed Weapon"] = "雙手武器商人";
	["Two-handed Weapon Merchant"] = "Two-handed Weapon Merchant";
	["Two-Handed Weapon Merchant"] = "Two-Handed Weapon Merchant";
	["Undercity  Census"] = "Undercity  Census";
	["Undercity Commendations"] = "Undercity Commendations";
	["Vault Administrator"] = "Vault Administrator";
	["Veteran Arena Vendor"] = "老練競技場商人";
	["Veteran Armor Quartermaster"] = "Veteran Armor Quartermaster";
	["Wand Merchant"] = "Wand Merchant";
	["Wand Merchant"] = "Wand Merchant";
	["Wand Vendor"] = "魔杖商人";
	["Wands"] = "魔杖";
	["Wands Merchant"] = "Wands Merchant";
	["War Harness Maker"] = "War Harness Maker";
	["War Harness Vendor"] = "War Harness Vendor";
	["Warchief"] = "Warchief";
	["Warlock Trainer"] = "術士訓練師";
	["Warrior Trainer"] = "戰士訓練師";
	["Warsong Gulch Battlemaster"] = "戰歌峽谷戰場軍官";
	["Warsong Gultch"] = "Warsong Gultch";
	["Warsong Gultch Battlemaster"] = "Warsong Gultch Battlemaster";
	["Water Vendor"] = "飲水商";
	["Weapon Master"] = "武器大師";
	["Weapon Merchant"] = "武器商";
	["Weapon Merchant"] = "Weapon Merchant";
	["Weapon Vendor"] = "Weapon Vendor";
	["Weapons Merchant"] = "Weapons Merchant";
	["Weapons Quartermaster"] = "Weapons Quartermaster";
	["Weaponsmith"] = "Weaponsmith";
	["Weaponsmith Trainer"] = "Weaponsmith Trainer";
	["Weaponsmithing Trainer"] = "武器鍛造訓練師 ";
	["Wind Rider Master"] = "Wind Rider Master";
	["Wine & Spirits Merchant"] = "酒和烈酒商人";
	["Wine Vendor"] = "酒商";
	["Wintergrasp Battle-Mage"] = "冬握湖軍需官";
	["Wintergrasp Battle-Mage"] = "冬握湖戰鬥法師";
	["Wolf Riding Instructor"] = "Wolf Riding Instructor";
	["Zepplin Engineer"] = "Zepplin Engineer";
}

else
	error(("%s: Locale %q not supported"):format(MAJOR_VERSION, GAME_LOCALE))
end
